> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/managedservicesplan-object.md).

# ManagedServicesPlan Object

## Description

Specification for a Managed Services Backup or Start/Stop Plan.

## Properties

### createdDate

Date, in ISO 8601 format, at which the plan was created.&#x20;

Type: `bool`

### isDeleted

Indicated whether the Managed Services Plan has been deleted.

Type: `bool`

### isEnabled

Indicated whether the Managed Services Plan is enabled.

Type: `bool`

### lastModifiedBy

User ID of the user that last modified the plan.

Type: `string`

### lastModifiedDate

Date, in ISO 8601 format, at which the plan was last modified.&#x20;

Type: `bool`

### name

Name of the Managed Services Plan.

Type: `string`

### parameters

Additional parameters for the plan. The object value is dependent on the value of `planType`.

Type: [ManagedServicesPlanParameters](/data-types/managedservicesplanparameters-object.md) object.

### planId

Identifier for the Managed Services Plan.

Type: `string`

### planType

Type of Managed Services Plan.

Type: `string`

Allowed Values:

* `backup-plan`
* `start-stop-plan`

### projectId

The project in which the plan is contained.

Type: `string`

### schedule

The schedule for the Managed Services Plan.

Type: [ManagedServicesPlanSchedule ](/data-types/managedservicesplanschedule-object.md)object

### state

State of the Managed Services Plan.

Type: `string`

Allowed Values:

* `active`
* `deleted`
* `disabled`

## Sample JSON

```javascript
{
    "planId": "plan-00000001",
    "projectId": "proj-00000001",
    "planType": "start-stop-plan",
    "name": "Start Development Environment",
    
    "state": "active",
    "isEnabled": true,
    "isDeleted": false,
    
    "createdDate": "2023-02-13T00:00:00Z",
    "lastModifiedDate": "2023-02-14T00:00:00Z",
    "lastModifiedBy": "u-00000001",
    
    "schedule": {
        "scheduleType": "daily",
        "timeOfDay": "08:00:00",
        "timeZoneId": "Eastern Standard Time",
        "parameters": {
            "days": [
                "monday",
                "tuesday",
                "wednesday",
                "thursday",
                "friday"
            ]
        }
    },
    
    "parameters": {
        "startStopMode": "start-stop-combined",
        "stopTimeInSeconds": 43200
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/managedservicesplan-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
